textures/0000splash_mini/newchrome
{
    qer_editorimage textures/0000splash_mini/chrome.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
		{
            map textures/0000splash_mini/chrome.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
		{
            map textures/0000splash_mini/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 5 5
        }
        {
            map textures/0000splash_mini/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 4 4
        }
		{
            map textures/0000splash_mini/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 3 3
        }
        {
            map textures/0000splash_mini/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
		{
            map textures/0000splash_mini/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 1 1
        }
        {
            map textures/0000splash_mini/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale .5 .5
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/0000splash_mini/water
{
    qer_trans .5
    q3map_globaltexture
    q3map_fancywater 1 0.5 0.5 0.5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    deformVertexes wave 64 sin .25 .25 0 .5
    cull disable
    {
        map "textures/0000splash_mini/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.3  // Ajouter cette ligne pour définir la transparence globale à 50%
        rgbgen identity
        tcmod scale .75 .75
        tcmod scroll .01 .01
    }
    {
        map "textures/0000splash_mini/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.3  // Ajouter cette ligne également
        tcmod scale -.75 -.75
        tcmod scroll .01 .01
    }
    {
        map $lightmap
        blendFunc GL_dst_color GL_zero
        rgbgen identity
    }
}

textures/0000splash_mini/water_green
{
    qer_editorimage textures/0000splash_mini/green.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 350
    q3map_lightsubdivide 128
	q3map_lightRGB 0.164706 1 0.219608
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_peach
{
    qer_editorimage textures/0000splash_mini/peach.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 450
    q3map_lightsubdivide 128
	q3map_lightRGB 1 0.666667 0.498039
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_pink
{
    qer_editorimage textures/0000splash_mini/pink.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 450
    q3map_lightsubdivide 128
	q3map_lightRGB 1 0.666667 1
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_yellowchelou
{
    qer_editorimage textures/0000splash_mini/yellowchelou.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 450
    q3map_lightsubdivide 128
	q3map_lightRGB 0.666667 0.666667 0
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_blue
{
    qer_editorimage textures/0000splash_mini/blue.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 300
    q3map_lightsubdivide 128
	q3map_lightRGB 0.188235 0.678431 0.92549
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_red
{
    qer_editorimage textures/0000splash_mini/red.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 300
    q3map_lightsubdivide 128
	q3map_lightRGB 1 0.418125 0.430913
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_turquoise
{
    qer_editorimage textures/0000splash_mini/turquoise.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 300
    q3map_lightsubdivide 128
	q3map_lightRGB 0 0.984314 1
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_purple
{
    qer_editorimage textures/0000splash_mini/purple.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 350
    q3map_lightsubdivide 128
	q3map_lightRGB 0.439216 0.12549 0.45098
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/0000splash_mini/water_orange
{
    qer_editorimage textures/0000splash_mini/orange.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 350
    q3map_lightsubdivide 128
	q3map_lightRGB 1 0.60264 0.326406
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}
textures/0000splash_mini/water_bluedark
{
    qer_editorimage textures/0000splash_mini/blue.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 400
    q3map_lightsubdivide 128
	q3map_lightRGB 0.285252 0.420951 1
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}
